Subject: bug#62571: closed (Re: bug#62571: 30.0.50; Crash on entering 20x enlarged number)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Oct 2023 20:12:02 +0000

Your bug report

#62571: 30.0.50; Crash on entering 20x enlarged number

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62571: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62571
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62571: 30.0.50; Crash on entering 20x enlarged number
From: Stefan Kangas <[email-masked]>
To: Po Lu <[email-masked]>
Cc: Jean Louis <[email-masked]>, [email-masked]
Date: Mon, 23 Oct 2023 13:11:18 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>> Jean Louis <[email-masked]> writes:
>>
>>> Here is how to reproduce:
>>>
>>> 1. emacs -Q
>>> 2. C-x + and repeat pressing + for 20 times in total
>>> 3. I press 6, as I wanted to show to child how number 6 looks like
>>> 4. X Server crashed, I guess Emacs too, I have no idea
>>>
>>> I did not test it with other numbers but 6, but it can easily be that X
>>> Window server will crash with letters as well.
>>>
>>> It is very repeatable. I am using Lucid built. Font used by default is
>>> here below, if that matter.
>>> Windowing system distributor 'The X.Org Foundation', version 11.0.12101006
>>
>> Xorg should print its crashes to a log typically at /var/log/Xorg.N.log,
>> where N is the number of your display.
>>
>> Such a crash message should contain its backtrace on GNU/Linux systems,
>> for example:
>>
>> [ 14866.219]
>> Backtrace:
>> [ 14866.219] 0: /usr/bin/X (xorg_backtrace+0x3b) [0x80b190b]
>> [ 14866.219] 1: /usr/bin/X (0x8048000+0x6202d) [0x80aa02d]
>> [ 14866.219] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb789140c]
>> [ 14866.219] 16: /usr/bin/X (WriteToClient+0x15e) [0x80aac6e]
>> [ 14866.219] 17: /usr/bin/X (WriteEventsToClient+0x2be) [0x80929ae]
>> [ 14866.219] 18: /usr/bin/X (TryClientEvents+0xe2) [0x8095462]
>> [ 14866.219] 19: /usr/bin/X (DeliverEventsToWindow+0x390) [0x8098450]
>> [ 14866.219] 20: /usr/bin/X (DeliverEvents+0xf8) [0x8099018]
>> [ 14866.219] 21: /usr/bin/X (DeleteWindow+0x203) [0x8076b43]
>> [ 14866.219] 22: /usr/bin/X (FreeClientResources+0xed) [0x806389d]
>> [ 14866.219] 23: /usr/bin/X (CloseDownClient+0x69) [0x80659e9]
>> [ 14866.219] 24: /usr/bin/X (CheckConnections+0x137) [0x80a8987]
>> [ 14866.219] 25: /usr/bin/X (WaitForSomething+0x98c) [0x80a33ac]
>> [ 14866.220] 26: /usr/bin/X (0x8048000+0x2261e) [0x806a61e]
>> [ 14866.220] 27: /usr/bin/X (0x8048000+0x1a5ba) [0x80625ba]
>> [ 14866.220] 28: /lib/libc.so.6 (__libc_start_main+0xe7) [0xb75b5ce7]
>> [ 14866.220] 29: /usr/bin/X (0x8048000+0x1a191) [0x8062191]
>> [ 14866.220] Segmentation fault at address 0x1
>> [ 14866.220]
>> Caught signal 11 (Segmentation fault). Server aborting
>>
>> Typically, the DDX symbols printed are enough to give us an idea of what
>> has gone wrong.  Would you please try to obtain such a backtrace from
>> your X server crash?
>
> Ping.  Could you please try obtaining a backtrace?

More information was requested, but none was given within 6 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Subject: 30.0.50; Crash on entering 20x enlarged number
From: Jean Louis <[email-masked]>
To: [email-masked]
Date: Fri, 31 Mar 2023 20:23:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Here is how to reproduce:

1. emacs -Q
2. C-x + and repeat pressing + for 20 times in total
3. I press 6, as I wanted to show to child how number 6 looks like
4. X Server crashed, I guess Emacs too, I have no idea

I did not test it with other numbers but 6, but it can easily be that X
Window server will crash with letters as well.

It is very repeatable. I am using Lucid built. Font used by default is
here below, if that matter.

             position: 5 of 145 (3%), column: 4
            character: h (displayed as h) (codepoint 104, #o150, #x68)
              charset: ascii (ASCII (ISO646 IRV))
code point in charset: 0x68
               script: latin
               syntax: w 	which means: word
             category: .:Base, L:Strong L2R, a:ASCII, l:Latin, r:Roman
             to input: type "C-x 8 RET 68" or "C-x 8 RET LATIN SMALL LETTER H"
          buffer code: #x68
            file code: #x68 (encoded by coding system utf-8-unix)
              display: by this font (glyph code):
    ftcrhb:-ADBO-Source Code Pro-regular-normal-normal-*-17-*-*-*-m-0-iso10646-1 (#x23)

Character code properties: customize what to show
  name: LATIN SMALL LETTER H
  general-category: Ll (Letter, Lowercase)
  decomposition: (104) ('h')

There are text properties here:
  face                 font-lock-comment-face
  fontified            t

In GNU Emacs 30.0.50 (build 9, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.17.6, Xaw3d scroll bars) of 2023-02-23 built on
 protected.rcdrun.com
Repository revision: 6411a9af03a4eb1a82db47a9642b11ba7edaaaf0
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101006
System Description: Parabola GNU/Linux-libre

Configured using:
 'configure --with-x-toolkit=lucid --with-mailutils'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
TREE_SITTER WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils rmc iso-transl tooltip cconv eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 39119 7869)
 (symbols 48 5219 2)
 (strings 32 14185 1749)
 (string-bytes 1 397783)
 (vectors 16 10442)
 (vector-slots 8 158960 13134)
 (floats 8 40 19)
 (intervals 56 255 0)
 (buffers 984 11))

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/